
%global pypi_name zopfli

Name:           python-zopfli
Version:        0.2.2
Release:    1%{?dist}
Summary:        Zopfli module for python
License:        Apache-2.0
URL:            https://github.com/obp/py-zopfli
Source0:        %{pypi_source %{pypi_name} %{version} zip}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  zopfli-devel

%description
cPython bindings for zopfli.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
cPython bindings for zopfli.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

rm -rf zopfli

%generate_buildrequires
%pyproject_buildrequires -r -x test


%build
export USE_SYSTEM_ZOPFLI=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zopfli

%check
export PYTHONPATH="${PYTHONPATH:-%{buildroot}%{python3_sitearch}}"
%{python3} tests/test_zopfli.py

%files -n  python3-%{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README.rst

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-1
- initial build
